%define upstream_name    Crypt-Twofish
%define upstream_version 2.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Crypt-Twofish module for perl 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(strict)
BuildRequires: perl-devel
%description
Twofish is a 128-bit symmetric block cipher with a variable length (128, 192,
or 256-bit) key, developed by Counterpane Labs. It is unpatented and free for
all uses, as described at http://www.counterpane.com/twofish.html.

This module implements Twofish encryption. It supports the Crypt::CBC interface

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{perl_vendorlib}/*/Crypt/Twofish.pm
%{perl_vendorlib}/*/auto/Crypt/Twofish
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.150.0-2.mga3
+ Revision: 364973
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 jquelin <jquelin> 2.150.0-1.mga3
+ Revision: 291614
- update to 2.15

* Wed May 30 2012 jquelin <jquelin> 2.140.0-4.mga3
+ Revision: 250431
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 2.140.0-3.mga2
+ Revision: 103888
- perl 5.14

* Thu Jan 13 2011 jquelin <jquelin> 2.140.0-2.mga1
+ Revision: 10510
- imported package perl-Crypt-Twofish

